UrtMapping.org
Vous êtes ici: accueil » radiant_install

Installation de GtkRadiant

Installation

Sous Windows

Un programme d'installation de la dernière version est disponible ici: http://zerowing.idsoftware.com/files/radiant/nightly/1.5/GtkRadiant-1.5.0-2007-04-26.msi

Sous linux

GTKRadiant 1.5

Voici des archives de GTKRadiant précompilés : Version 32bits - Version 64bits

Il suffit d'extraire l'archive correspondant à votre architecture et de lancer le binaire. Dépendance: bibliothèques graphiques GTK (Déjà installé si vous utilisez l'environnement Gnome ou Xfce), libmhash.

gtkradiant 1.6.2

Voilà gtkradiant 1.6.2 avec l'urtpack intégré, il ne reste plus qu'à le lancer. Voir le topic Urt.FR

Dépendances : libGTK+ libgtkglext libmhash zlib libpng libxml2 glib

Dans un terminal : ./radiant.bin

Cette version corrige les problèmes avec GTK+3 et est sensée très bien marcher (compilée sous Sabayon632b et Ubuntu64b).

GtkRadiant 1.6.2 32bits : Téléchargement direct
GtkRadiant 1.6.2 64bits : Téléchargement direct

Anciens builds : gtkradiant1.6.0

Sous Ubuntu

A utiliser si la méthode précédente ne marche pas.

Un fichier .rpm est disponible pour linux: gtkradiant-1.5.0-2006-03-02.i386.rpm.
Téléchargez le dans votre répertoire personnel:

wget http://zerowing.idsoftware.com/files/radiant/nightly/1.5/gtkradiant-1.5.0-2006-03-02.i386.rpm

Il va falloir le convertir en un fichier .deb, grâce au programme alien.

sudo apt-get install alien
sudo alien --to-deb gtkradiant-1.5.0-2006-03-02.i386.rpm

Il suffit maintenant d'installer le nouveau paquet:

sudo dpkg -i gtkradiant_1.5.0-8_i386.deb

Le programme est alors installé dans le répertoire /opt/gtkradiant. Il vous manque encore les bibliothèques libgtkglext1 et libmhash2, il suffit de faire:

sudo apt-get install libgtkglext1 
sudo apt-get install libmhash2 

Pour lancer Radiant:

/opt/gtkradiant/radiant.x86

Sous Mac

Le lien de download se trouve sur Macgratuit (enfin ce que j'ai trouvé) http://mac-gratuit.fr/telecharger/GtkRadiant.html

/!\ Il ne fonctionne qu'a partir de la 10.3 et qu'avec le logiciel X11 /!\

Configuration

Configuration pour UrbanTerror

Il faut configurer Radiant pour qu'il puisse être utilisé avec les maps d'UrbanTerror. Pour cela lancez Radiant, et allez dans dans le menu Edit/Preferences

1- Aller à l'onglet Game et choisir “Quake III Arena / Quake III: Team Arena”
2- Aller à l'onglet Paths, et y mettre le chemin vers le moteur du jeu (Le dossier contenant le jeu, par exemple “c:\Program Files\UrbanTerror\” )

Fermer ce menu, et ouvrez le menu File/Project settings

3 - dans select mod choisir “custom quake 3 modification”
4 - dans fs_game mettez “q3ut4”

Pour paramétrer correctement les shaders et autres options, placez ces deux fichiers dans le dossier q3ut4/scripts: urbanterror.def shaderlist.txt

Vous pouvez maintenant accéder aux textures d'UrbanTerror depuis Radiant

Autres réglages

Pour disposer des entités de urbanterror comme les bombsites, et les objets destructibles, mettez le fichier urbanterror.dat dans GtkRadiant-1.5.0/q3.game/baseq3

Bugs

Sous linux, si la dernière version de GTK est installée (Par exemple sous Ubuntu 8.10 et supérieur) vous aurez des messages d'erreur au lancement de Radiant. Cela est du au fait que le logiciel utilise des fonctions de GTK devenues obsolètes, mais toujours fonctionelles. Vous pouvez donc valider les messages et utiliser le logiciel sans autre problème, en attendant une mise à jour de celui-ci.

Vous pouvez aussi utiliser NetRadiant (l'interface est la même)



/homez.59/urtmappi/www/data/pages/radiant_install.txt · Dernière modification: 2011/09/02 21:37 par 89.156.48.174
Creative Commons License Valid CSS Driven by DokuWiki get Firefox!! Recent changes RSS feed Valid XHTML 1.0